using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SystemX.Net.Platform.Common.Event
{
    public class FunctionEventHandler
    {
        public FunctionEventHandler() { }

        public delegate void evtReceiveHandler(object sender, object data);
        public event evtReceiveHandler OnReceive;

        public void DoReceive(object sender, object data)
        {
            if (OnReceive != null)
                OnReceive(sender, data);
        }
    }
}
